Groovy Documentation

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class FlowInfoCapturer

    java.lang.Object
      org.codehaus.groovy.grails.webflow.engine.builder.FlowInfoCapturer

    class FlowInfoCapturer

Used to capture details of the flow

Property Summary
`java.util.List` | `exceptionHandlers`
`java.lang.Object` | `propertyDescriptors`

Constructor Summary
`FlowInfoCapturer(FlowBuilder builder, ApplicationContext applicationContext)`

Method Summary
`void` | `action(groovy.lang.Closure callable)`
`groovy.lang.Closure` | `getAction()`
`groovy.lang.Closure` | `getEntryAction()`
`groovy.lang.Closure` | `getExitAction()`
`java.lang.Object` | `getRedirectUrl()`
`groovy.lang.Closure` | `getRenderAction()`
`groovy.lang.Closure` | `getSubflow()`
`Transition[]` | `getTransitions()`
`java.lang.String` | `getViewName()`
`TransitionTo` | `on(java.lang.String name)`
`TransitionTo` | `on(java.lang.String name, groovy.lang.Closure transitionCriteria)`
`TransitionTo` | `on(java.lang.Class exception)`
`void` | `onEntry(groovy.lang.Closure callable)`
`void` | `onExit(groovy.lang.Closure callable)`
`void` | `onRender(groovy.lang.Closure callable)`
`java.lang.Object` | `propertyMissing(java.lang.String name)`
`void` | `redirect(java.util.Map args)`
`void` | `render(java.util.Map args)`
`void` | `subflow(groovy.lang.Closure callable)`
`void` | `subflow(java.util.Map args)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### exceptionHandlers

    java.util.List exceptionHandlers

### propertyDescriptors

    java.lang.Object propertyDescriptors

Constructor Detail

### FlowInfoCapturer

    FlowInfoCapturer(FlowBuilder builder, ApplicationContext applicationContext)

Method Detail

### action

    void action(groovy.lang.Closure callable)

### getAction

    groovy.lang.Closure getAction()

### getEntryAction

    groovy.lang.Closure getEntryAction()

### getExitAction

    groovy.lang.Closure getExitAction()

### getRedirectUrl

    java.lang.Object getRedirectUrl()

### getRenderAction

    groovy.lang.Closure getRenderAction()

### getSubflow

    groovy.lang.Closure getSubflow()

### getTransitions

    Transition[] getTransitions()

### getViewName

    java.lang.String getViewName()

### on

    TransitionTo on(java.lang.String name)

### on

    TransitionTo on(java.lang.String name, groovy.lang.Closure transitionCriteria)

### on

    TransitionTo on(java.lang.Class exception)

### onEntry

    void onEntry(groovy.lang.Closure callable)

### onExit

    void onExit(groovy.lang.Closure callable)

### onRender

    void onRender(groovy.lang.Closure callable)

### propertyMissing

    java.lang.Object propertyMissing(java.lang.String name)

### redirect

    void redirect(java.util.Map args)

### render

    void render(java.util.Map args)

### subflow

    void subflow(groovy.lang.Closure callable)

### subflow

    void subflow(java.util.Map args)

Groovy Documentation